<?php

namespace App\ViewModels\Pagamento\PagamentoComandaRegistrationViewModel;

use App\Utils\Builder;

class PagamentoComandaRegistrationViewModelBuilder implements Builder {
	protected $id;
	protected $comanda_id;
	protected $comanda_itens;
	protected $valor_total;
	protected $formas_pagamento;
	

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $comanda_id
	 */
	public function setComanda_id($comanda_id) {

		$this->comanda_id = $comanda_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $comanda_itens
	 */
	public function setComanda_itens($comanda_itens) {

		$this->comanda_itens = $comanda_itens;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor_total
	 */
	public function setValor_total($valor_total) {

		$this->valor_total = $valor_total;
		return $this;

	}

	/**
	 *
	 * @param mixed $formas_pagamento
	 */
	public function setFormas_pagamento($formas_pagamento) {

		$this->formas_pagamento = $formas_pagamento;
		return $this;

	}



	public function build(): PagamentoComandaRegistrationViewModel {

		$pagamento_comanda_registration_vm = new PagamentoComandaRegistrationViewModel();

		return $pagamento_comanda_registration_vm;

	}

}

